QGIS Application - Feature request #2892
WFS http authentication support
2010-07-19 02:13 AM - Sandro Santilli

Status: Closed

Priority: Low

Assignee: Marco Hugentobler

Category: Web Services clients/WMS

Pull Request or Patch supplied: Resolution: fixed
Easy fix?: No Copied to github as #: 12952
Description

When a WFS server requires HT TP authentication, the current WFS plugin doesn't prompt the user for name/password but passes an
empty string to the XML parser instead.

Would be nice to have a user/password prompt or at least a more meaningful error message to allow user to specify them as part of the
url (user:pass@server)

History

#1 - 2010-07-19 02:17 AM - Jiirgen Fischer

the WFS provider should probably be ported to use QNetworkAccessManager instead of [[QgsHttpTransaction]] (like the WMS provider). That way the
authentication would be handled transparently.

#2 - 2010-07-19 02:22 AM - Jiirgen Fischer

Replying to [comment:1 jef]:

the WFS provider should probably be ported to use QNetworkAccessManager instead of [[QgsHttpTransaction]] (like the WMS provider). That way
the authentication would be handled transparently.

see also commit:7fb0e90c

#3 - 2010-07-29 06:38 AM - Marco Hugentobler

Hi Juergen

Thanks for the patch. I'm currently working on WFS-T support and will try to merge your patch with my changes and then commit everything together.

Marco

#4 - 2010-07-30 06:16 AM - Marco Hugentobler

- Resolution set to fixed
- Status changed from Open to Closed

Applied as part of commit:532cd103 (SVN r13986). Thanks, Juergen!
https://trac.osgeo.org/qgis/changeset/13093#file28
feature-2892.diff 24.2 KB 2010-07-24 Jirgen Fischer
